--- title: "Register switchable role" slug: "management-subaccount-switchablerole-post" updated: 2026-09-17T10:05:32Z published: 2026-09-17T10:05:32Z canonical: "api.ncloud-docs.com/management-subaccount-switchablerole-post" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Register switchable role Available in Classic and VPC Register a role that can be switched from a sub account. Calls can only be made from a sub account. Note You must assign the switchRole policy to the main account to switch roles. For information on how to assign the switchRole policy, see [Assign switchRole policy](https://guide.ncloud-docs.com/docs/en/subaccount-policy-role#switchrole-%EC%A0%95%EC%B1%85-%EB%B6%80%EC%97%AC) in the Sub Account user guide. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/switchable-roles | ### Request headers For information about the headers common to all Sub Account APIs, see [Sub Account request headers](/docs/en/management-subaccount#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `description` | String | Optional | Description of the role (byte) - 0-300 | | `displayName` | String | Required | Role name - 3-30 characters | | `roleNrn` | String | Required | NAVER Cloud Platform resource identification value for role - Enter the account role information passed from the main account. | ### Request example The request example is as follows: ``` curl --location --request POST 'https://subaccount.apigw.ntruss.com/api/v1/switchable-roles' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "description": "System admin", "displayName": "sys-admin", "roleNrn": "nrn:PUB:IAM::5*****8:Role/9ba09190-****-****-****-246e966ebec4" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `success` | Boolean | - | API call success status - `true` \| `false` - `true`: succeeded - `false`: failed | | `id` | String | - | NAVER Cloud Platform resource identification value for role | ### Response status codes For information about the HTTP status codes common to all Sub Account APIs, see [Sub Account response status codes](/docs/en/management-subaccount#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "success": true, "id": "nrn:PUB:IAM::5*****8:Role/9ba09190-****-****-****-246e966ebec4" } ```